#!/bin/bash
dir=${PWD##*/}
gradle assemble

# Get the current Git branch
branch=$(git rev-parse --abbrev-ref HEAD)

# Get the short commit hash (first 5 characters)
commit_hash=$(git rev-parse --short=5 HEAD)

# Combine branch and commit hash
buildName="${USER}-${branch}-${commit_hash}"

gradle bootBuildImage --publishImage -PbuildbootDockerHostNetwork=true -Pversion=$buildName --no-build-cache
echo "nexus.knecon.com:5001/ff/${dir}-service-server:$buildName"
